Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 12 May 2022 14:05:15 +0000

Hi Athar Mubark,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I have bought some items from Splash online. It was misfit so I returned it to Center point Oaisis Mall J7ffair Bahrain. The sales lady gave me a voucher of the same value. Now I'm trying to redeem the voucher its not valid. I have complained at Store, On call also bit nobody responded me. Neither they resolve my issue nor they replied to me. I'm facing very very bad customer service from Center point & my money is stuck. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4347532